//
//  FGHudButtonCell.h
//
//  Created by Francesco on 1/9/06.
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////


#import <Cocoa/Cocoa.h>
#import "FGHUDView.h"

@interface FGHudButtonCell : NSButtonCell {

  FGHUDView *aHudView;
  NSColor *foreColor;
  NSColor *backColor;

  BOOL bIsHighlighted;
  
  NSImage *aImageButton; //Normal ON
  NSImage *aImageButtonPressedOn; //Pressed ON
  NSImage *aImageButtonDisabledOn; //Disabled ON

  NSImage *aImageButtonOff; //Normal OFF
  NSImage *aImageButtonPressedOff; //Pressed OFF
  NSImage *aImageButtonDisabledOff; //Disabled OFF
  
  int nButtonType; //0=Image Push In/Out 1=Image Toggle 2=Led toggle 3=Check Box Toggle 4=Text Button 5=Oval Text Button 6=image multi state 7=ON/OFF using multi images
  
  NSString *theTitle;
}

-(void) setCellButtonType:(int)nType; //imposta il valore per nButtonType
-(void) setImageButtonWithName:(NSString *) newImageButton;
-(void) setTitle:(NSString *) aString; //Imposto il titolo

-(void) drawText; //scrive il testo del titolo nel pulsante centrato
-(void) drawTextAtLeftTop:(NSRect)cellFrame; //scrive il testo del titolo nel pulsante 
@end
