//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

#import "theMainWindowDelegate.h"
#import "FGHudButtonCell.h"

@implementation theMainWindowDelegate

- (void) awakeFromNib
{
 [theFGHudView setToolTipText:@"Sono una FGHudView..."];
 [theFGHudView setTitle:@"Dimostrazione Hud"];
 
 [btnTest1 setImageButtonWithName:@"samplebutton2"];
 [btnTest1 setCellButtonType:1];
 [btnTest2 setCellButtonType:2];
 [btnTest3 setCellButtonType:3];
 [btnTest4 setCellButtonType:4];
 [btnTest4 setTitle:@"Test"];
 [btnTest5 setTitle:@"Close"];
 [btnTest5 setCellButtonType:5];
 [btnTest6 setImageButtonWithName:@"switch"];
 [btnTest6 setCellButtonType:6];
 [btnTest7 setImageButtonWithName:@"crop"];
 [btnTest7 setCellButtonType:7];

 //Subclass NSMatrix per creare radio button da codice... per ora ricordarsi di impostare FGHudButtonCell per tutti i radio button che creo in IB
 //[btnTest8 setCellClass:[FGHudButtonCell class]];
 FGHudButtonCell *aCell=(FGHudButtonCell *)[btnTest8 cellAtRow:0 column:0];
 [aCell setTitle:@"Primo"];
 [aCell setImageButtonWithName:@"RADIO"];
 [aCell setCellButtonType:8];
 aCell=(FGHudButtonCell *)[btnTest8 cellAtRow:1 column:0];
 [aCell setTitle:@"Secondo"];
 [aCell setImageButtonWithName:@"RADIO"];
 [aCell setCellButtonType:8];
 aCell=(FGHudButtonCell *)[btnTest8 cellAtRow:2 column:0];
 [aCell setTitle:@"Terzo"];
 [aCell setImageButtonWithName:@"RADIO"];
 [aCell setCellButtonType:8];


 [btnTest9 setDoubleValue:0.0];
 [btnTest9 setUseCustomKnob:NO];
 [btnTest9 setFillColor:[NSColor colorWithDeviceRed:1.0 green:0.0 blue:0.10 alpha:0.75]];


  //FGContinuousCapacityLevelIndicatorStyle o FGRelevancyLevelIndicatorStyle  
  // o FGDiscreteCapacityLevelIndicatorStyle o FGRatingLevelIndicatorStyle
  [btnTest10 setFGLevelIndicatorStyle:FGContinuousCapacityLevelIndicatorStyleCustomColor]; 
  [btnTest10 setMinValue:0];
  [btnTest10 setMaxValue:100];
  [btnTest10 setWarningValue:30];
  [btnTest10 setCriticalValue:70];
  [btnTest10 setDoubleValue:99];
  [btnTest10 setUseGradient:YES];
  [btnTest10 setContinuous:YES];
  [btnTest10 setTitle:@"Level indicator"];
  
  [btnTest11 setMinValue:0];
  [btnTest11 setMaxValue:100];
  [btnTest11 setDoubleValue:0];
  [btnTest11 seImageForBarLeds:[NSImage  imageNamed:@"FGBarraLampadine.tiff"]];  //Immagine deve essere 140 x 20 pixel idem la dim del controllo in IB
  [btnTest11 setFGLevelIndicatorStyle:FGContinuousLedsLevelIndicatorStyle]; 
  [btnTest11 startAnimation:0.05 withIncrement:1.0];
  [btnTest11 setEnableReverse:YES];
  [btnTest11 setEnabled:NO];
 
  [btnTest12 setMinValue:0];
  [btnTest12 setMaxValue:100];
  [btnTest12 setDoubleValue:90];
  [btnTest12 setFGLevelIndicatorStyle:FGContinuousLedsLevelIndicatorStyle]; 
  
  [display setDisplayNumericVisible:YES];
  [display setNumericDisplayValue:99];
  [display setTitle:@"By www.germinara.it"];
  [display setSubTitle:@"FGHubDisplayControl"];
  [display setOutLetIndicator:btnTest10];
  
  [segment setSegmentCount:4];
  [segment setImageButtonWithName:@"FGGreen"];
  
  [segment setWidth:50 forSegment:0];
  [segment setWidth:80 forSegment:1];
  [segment setWidth:40 forSegment:2];
  [segment setWidth:50 forSegment:3];
  [segment setLabel:@"Primo" forSegment:0];
  [segment setLabel:@"Secondo" forSegment:1];
  [segment setLabel:@"Terzo" forSegment:2];
  [segment setImage:[NSImage  imageNamed:@"samplebutton2-N-ON.tiff"] forSegment:1];
  [segment setImage:[NSImage  imageNamed:@"samplebtn.tiff"] forSegment:3];

  [tabView setControlSize:NSMiniControlSize];
  [tabView setControlTint:NSGraphiteControlTint];
  
  [comboBox setPullsDown:NO];
  [comboBox addItemWithTitle:@"Primo"];
  [comboBox addItemWithTitle:@"Secondo"];
  [comboBox addItemWithTitle:@"Terzo"];
  [comboBox selectItemAtIndex:0];
 
  
  
}




@end
